/*

 stckchk_c

 Check Stack Level unchanged.

 Date		Author		Comments
 ----		------		--------
 26/08/1991	P.J. Taylor	Original.
 26/10/1992	P.J. Taylor	Amended.

 1.04
 ----
 07/03/1998	A.D.Ives	Source code reformatted.

*/

#include <stdio_h>

void stckchk(void **vp, char *msg) {

  /* vp 	Holds address of self as parameter	*/
  /* msg	Message identifying location of problem */

  if ( *vp == NULL )
    *vp= &vp ;
  else
    if (*vp != &vp )
      fprintf(stderr, "%s:stack level fault, change=%d\n", msg, (long) &vp-(long)*vp) ;
}
